<?php
require_once("config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;


$userpermissionEdit 	= $_POST['userpermissionEdit'];
$userpermissionDelete 	= $_POST['userpermissionDelete'];
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'id', 
	1 => 'caddress',
	2 => 'pincode',
	3 => 'mobile',
	
	4 => 'ccode',
    5 => 'open_balance',
    6 => 'cname'
);

$sql = "SELECT id FROM customer_master where isdelete=1";
$query=mysqli_query($conn, $sql) or die("customergriddata.php: get customer Data step 1");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT cname, caddress,pincode, mobile, opening_balance , ccode,createdby,userID,id  FROM customer_master WHERE 1=1 and isdelete=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( cname LIKE '".$requestData['search']['value']."%' ";    
	//$sql.=" OR address LIKE '".$requestData['search']['value']."%' ";
	//$sql.=" OR pincode LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR mobile LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR opening_balance  LIKE '".$requestData['search']['value']."%' ";
	//$sql.=" OR ccode LIKE '".$requestData['search']['value']."%' ";
    $sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("customergriddata.php: get customer Data step 2");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("customergriddata.php: get customer Data step 3");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	$nestedData[] = $row["id"];
	$nestedData[] = $row["cname"];
	$nestedData[] = $row["mobile"];
	$nestedData[] = $row["caddress"];
	$nestedData[] = $row["opening_balance"];
	
    
	
	//$date = new DateTime($row["employee_joining_date"]); 
	//$nestedData[] = $date->format('d-m-Y'); //only fetching date
	//$nestedData[] = $row["open_balance"];
	
	$edit  = "";
	if($userpermissionEdit==1) {
		$edit .="<a href='customerMasterEdit.php?id=".$row['id']."' id='customerMaster_".$row['id']."' class='btn btn-primary'>Edit</a>&nbsp";
	}

	$Delete  = "";
	if($userpermissionDelete==1) {
		$Delete .="<a id='customerMasterDelete_".$row['id']."' class='btn btn-primary' onclick='ConfirmcustomerMasterDelete(".$row['id'].")' >Delete</a>";
	}
	$nestedData[] = $edit."&nbsp".$Delete;
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
